#pragma once

#include <string>

namespace Mix{ namespace Tool{ namespace Win32{ namespace Path{

	//パスタイプ
	enum PATH_TYPE
	{
		PATH_UNKNOWN		= 0,	//不明
		PATH_ABSOLUTE	= 1,	//絶対パス
		PATH_RELATIVE	= 2,	//相対パス
	};

	PATH_TYPE GetType( const char* pPath );
	PATH_TYPE GetType( const wchar_t* pPath );

	bool GetFileNameWithoutExtension( const wchar_t* pSrc, std::wstring& name );

	bool GetDirectoryName( const char* pSrc, std::string& name );
	bool GetDirectoryName( const wchar_t* pSrc, std::wstring& name );

	bool Combine( const char* pBaseDirectory, const char* pRelativePath, std::string& output );
	bool Combine( const wchar_t* pBaseDirectory, const wchar_t* pRelativePath, std::wstring& output );

}}}}
